
Foreman - Bug #8293

foreman-installer doesn't install the yum repo for ruby193 scl

11/05/2014 07:09 PM - Corey Osman
Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I ran the installer and yum was not able to find the ruby193 package so the installer failed.  I am not sure if I missed a step in the

documentation but this is something that should be documented or automated by the installer.

I think I traced the problem to the package not being signed and the repo forces this check.

Package rhscl-ruby193-epel-6-x86_64-1-2.noarch.rpm is not signed

History

#1 - 11/06/2014 02:23 AM - Dominic Cleal

- Status changed from New to Need more information

- Target version deleted (1.7.2)

On CentOS 6?  I don't think the installer will ever install that on Foreman 1.6, though it is used on CentOS 7 and has some workaround instructions in

the manual (which we've fixed for 1.7).  On EL6, it should install centos-release-SCL to enable the CentOS SCL repositories.

Can you perhaps step back to the original error, what was it?  And check if the CentOS SCL repo got configured under /etc/yum.repos.d/

#2 - 01/16/2015 09:58 PM - Corey Osman

I had to ensure this was enforced in order to have the ruby installed.

yumrepo { 'rhscl-ruby193-epel-6-x86_64':

    descr    => 'Ruby193 - epel-6-x86_64',

    baseurl  => 'https://www.softwarecollections.org/repos/rhscl/ruby193/epel-6-x86_64',

    enabled  => 1,

    gpgcheck => 0,

  }

 
yumrepo { 'rhscl-v8314-epel-6-x86_64':

    descr    => 'V8314 - epel-6-x86_64',

    baseurl  => 'https://www.softwarecollections.org/repos/rhscl/v8314/epel-6-x86_64',

    enabled  => 1,

    gpgcheck => 0,

  }

#3 - 02/29/2016 07:16 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Over a year waiting for information, no activity and could not reproduce. Closing. Please reopen if still occurs with current versions.
